This is a live mirror of the Perl 5 development currently hosted at https://github.com/perl/perl5
Increase $Carp::Heavy::VERSION to 1.44
[perl5.git] / dist / Carp / lib / Carp / Heavy.pm
CommitLineData
40c2103f 1package Carp::Heavy;
ca24dfc6 2
2a420f95
Z
3use Carp ();
4
78a64337 5our $VERSION = '1.44';
1d532a9b 6$VERSION =~ tr/_//d;
3b5ca523 7
a18468ad
KE
8# Carp::Heavy was merged into Carp in version 1.12. Any mismatched versions
9# after this point are not significant and can be ignored.
10if(($Carp::VERSION || 0) < 1.12) {
11 my $cv = defined($Carp::VERSION) ? $Carp::VERSION : "undef";
bf4588d0
Z
12 die "Version mismatch between Carp $cv ($INC{q(Carp.pm)}) and Carp::Heavy $VERSION ($INC{q(Carp/Heavy.pm)}). Did you alter \@INC after Carp was loaded?\n";
13}
14
3b5ca523 151;
66a4a569 16
2a420f95 17# Most of the machinery of Carp used to be here.
ba7a4549
RGS
18# It has been moved in Carp.pm now, but this placeholder remains for
19# the benefit of modules that like to preload Carp::Heavy directly.
2a420f95
Z
20# This must load Carp, because some modules rely on the historical
21# behaviour of Carp::Heavy loading Carp.